Package org.apache.lucene.codecs.simpletext

# Class SimpleTextSegmentInfoFormat

java.lang.Object
org.apache.lucene.codecs.SegmentInfoFormat
org.apache.lucene.codecs.simpletext.SimpleTextSegmentInfoFormat

public class SimpleTextSegmentInfoFormat extends SegmentInfoFormat
plain text segments file format.

FOR RECREATIONAL USE ONLY

WARNING: This API is experimental and might change in incompatible ways in the next release.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `SI_EXTENSION`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SimpleTextSegmentInfoFormat()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SegmentInfo`
  `read(Directory directory, String segmentName, byte[] segmentID, IOContext context)`
  `void`
  `write(Directory dir, SegmentInfo si, IOContext ioContext)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### SI_EXTENSION

    public static final String SI_EXTENSION
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SimpleTextSegmentInfoFormat

    public SimpleTextSegmentInfoFormat()

- ## Method Details

  - ### read

    public SegmentInfo read(Directory directory, String segmentName, byte[] segmentID, IOContext context) throws IOException
    Specified by:
      `read` in class `SegmentInfoFormat`
    Throws:
      `IOException`

  - ### write

    public void write(Directory dir, SegmentInfo si, IOContext ioContext) throws IOException
    Specified by:
      `write` in class `SegmentInfoFormat`
    Throws:
      `IOException`